// (c) Max Kresch, licensed under GPLv3, 2008.
//     See LICENSE for further details.

#include <stdio.h>
#include "Dos.H"

int main() {
  Dos DSource;
  Dos DTarget;

//--- User Input --------------------------------------------------------------

  DSource.fromText("tests/data/ni_300");
  DTarget.fromText("tests/data/ni_575");

//  double QTarget =  19.819991;
//  double CTarget =  0.985294;
  double QTarget = 20.19119647;   
  double CTarget =  0.98333329;

//--- End User Input ----------------------------------------------------------

  DSource.normalize();
  DTarget.normalize();

  DSource.toText("tests/DSource");
  DTarget.toText("tests/DTarget");

  ( ((DSource.rescale(CTarget)).rebin(DSource.x)).broaden(QTarget) ).toText("tests/DTarget.f");

  int N=3;
  Vector QCE(N);
  for(int i=0;i<N;i++){ QCE.elts[i] = 0; }
  QCE.elts[0]  =  575.0; QCE.elts[1]  = QTarget; QCE.elts[2]  = QTarget;

  QCE.toText("tests/QCE.f");
}
