#!/bin/sh
// (c) Max Kresch, licensed under GPLv3, 2008.
//     See LICENSE for further details.

set -e

CFLAGS="-O3"
SRCS="d.C"
OBJS=`echo $SRCS | sed 's/\.C/\.o/g'`

for i in ${SRCS} ; do
  echo Compiling $i...
  g++ ${CFLAGS} -c $i
done

g++ -o d ${OBJS}

for i in ${OBJS} ; do
  rm $i
done
