// (c) Max Kresch, licensed under GPLv3, 2008.
//     See LICENSE for further details.

#ifndef FUNCTS_H
#define FUNCTS_H

#include "Dos.H"

inline double error(const Dos& D1, const Dos& D2, const Vector& W){
  double res(0.0);
  for(int i=0;i<D1.N;i++)
    res += (D1.y[i]-D2.y[i])*(D1.y[i]-D2.y[i])*W.elts[i];
  return res;
}

#endif // FUNCTS_H
